using System.Runtime.InteropServices;

namespace Decal.Interop.Inject;

[StructLayout(LayoutKind.Sequential, Pack = 4)]
public struct MouseState
{
	[MarshalAs(UnmanagedType.Interface)]
	public ILayer over;

	public tagPOINT screen;

	public tagPOINT client;

	public short ctrl;

	public short shift;
}
